libwpg::WPGDashArray Class Reference

`#include <WPGDashArray.h>`

## Public Member Functions

| WPGDashArray ()
| ~WPGDashArray ()
| WPGDashArray (const WPGDashArray &)
WPGDashArray & | operator= (const WPGDashArray &)
void | add (double p)
int | getDots1 () const
double | getDots1Length () const
int | getDots2 () const
double | getDots2Length () const
double | getDistance () const

## Private Attributes

std::unique_ptr< WPGDashArrayPrivate > | d

## Constructor & Destructor Documentation

## WPGDashArray() [1/2]

libwpg::WPGDashArray::WPGDashArray | ( |  | ) |

## ~WPGDashArray()

libwpg::WPGDashArray::~WPGDashArray | ( |  | ) |

## WPGDashArray() [2/2]

libwpg::WPGDashArray::WPGDashArray | ( | const WPGDashArray & | dash | ) |

## Member Function Documentation

## add()

void libwpg::WPGDashArray::add | ( | double | p | ) |

Referenced by WPG2Parser::handlePenStyleDefinition(), and WPG2Parser::handleStartWPG().

## getDistance()

double libwpg::WPGDashArray::getDistance | ( |  | ) | const

## getDots1()

int libwpg::WPGDashArray::getDots1 | ( |  | ) | const

## getDots1Length()

double libwpg::WPGDashArray::getDots1Length | ( |  | ) | const

## getDots2()

int libwpg::WPGDashArray::getDots2 | ( |  | ) | const

## getDots2Length()

double libwpg::WPGDashArray::getDots2Length | ( |  | ) | const

## operator=()

libwpg::WPGDashArray & libwpg::WPGDashArray::operator= | ( | const WPGDashArray & | dash | ) |

## Member Data Documentation

## d

std::unique_ptr<WPGDashArrayPrivate> libwpg::WPGDashArray::d

private

Referenced by add(), getDistance(), getDots1(), getDots1Length(), getDots2(), getDots2Length(), operator=(), WPGDashArray(), and WPGDashArray().

The documentation for this class was generated from the following files:

- WPGDashArray.h
- WPGDashArray.cpp